For the complete documentation index, see llms.txt. This page is also available as Markdown.

Restore DNS snapshot

Restore DNS zone to the selected snapshot. Use this endpoint to revert domain DNS to a previous configuration.

Restore DNS snapshot

post

Restore DNS zone to the selected snapshot.

Use this endpoint to revert domain DNS to a previous configuration.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
domainstringRequired

Domain name

Example: mydomain.tld
snapshotIdintegerRequired

Snapshot ID

Example: 53513053
Responses
200

Success response

application/json
messagestringOptionalExample: Request accepted
post/api/dns/v1/snapshots/{domain}/{snapshotId}/restore
POST /api/dns/v1/snapshots/{domain}/{snapshotId}/restore HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "message": "Request accepted"
}

Last updated

Was this helpful?